Subject: RE: [Sip] draft-jennings-sip-hashcash-01

From: "Francois Audet" <[email-masked]>
Date: Thu, 24 Feb 2005 18:44:42 -0500

Hi Dave,

I understand this. I guess I wasn't clear.

It is in the OTHER direction that I see a problem. I mean when the UAC
is, for example, a big gateway.

In other words, if a bunch of SIP "phones" UAS all decide to send 419's to
the UAC in the Gateway.

> -----Original Message-----
> From: David R Oran [mailto:[email-masked]] 
> Sent: Thursday, February 24, 2005 12:53
> To: Audet, Francois [SC100:9T51:EXCH]
> Cc: 'Cullen Jennings'; [email-masked]'
> Subject: Re: [Sip] draft-jennings-sip-hashcash-01
> 
> 
> 
> On Feb 24, 2005, at 2:30 PM, Francois Audet wrote:
> 
> > We may need to explain some of the limitations of this. It 
> seems to me
> > that this mechanism would not be terribly appropriate for 
> applications  
> > that aggregate a large number of clients onto a single 
> platform. For  
> > example, this may be too computationally intensive for a 
> large PSTN  
> > Gateway, or even a large Proxy.
> >  
> That's the whole point! It's to prevent too many calls from 
> one place.  
> It's always under the calling UACs prerogative to give up 
> with "what a  
> bozo who wants me to blow smoke out of my Pentium for 2000ms. 
> Guess he  
> doesn't want to get the call, huh"?
> 
> I suspect a decently managed UA would only force you not the puzzle  
> palace if you weren't on the buddy list, or some other whitelist.
> 
> > Any ideas of how a UAS would make the decision to send the 
> 419 without
> > burdening the UAC? Should there be a supported/require 
> header for this  
> > functionality, so that a UAC could "opt out"?
> If the UAC can opt out the whole exercise is useless.
> 
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of
> > Cullen Jennings
> > Sent: Tuesday, February 22, 2005 16:46
> > To: [email-masked]
> > Subject: [Sip] draft-jennings-sip-hashcash-01
> >
> >
> > I updated this draft on "SIP Computational Puzzles" so it 
> has enough  
> > detail to implement it. (Previous version did not). It is in the  
> > drafts directory and also in HTML form at:
> >
> > 
> http://scm.sipfoundry.org/rep/ietf-drafts/fluffy/draft-jennings-sip- 
> > hashcash-01.html
> >
> > Cullen
> > _______________________________________________
> > Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> > This list is for NEW development of the core SIP Protocol
> > Use [email-masked] for questions on current sip
> > Use [email-masked] for new developments on the application of sip
> David R. Oran
> Cisco Fellow
> Cisco Systems
> 7 Ladyslipper Lane
> Acton, MA 01720 USA
> Tel: +1 978 264 2048
> Email: [email-masked]
> 
> 
_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip